<!--
  Copyright (c) 2018 Eclipse Foundation, Inc.

  This program and the accompanying materials are made available under the
  terms of the Eclipse Public License v. 2.0 which is available at
  http://www.eclipse.org/legal/epl-2.0.

  Contributors:
    Christopher Guindon <chris.guindon@eclipse-foundation.org>

  SPDX-License-Identifier: EPL-2.0
-->
<!DOCTYPE html>
<html lang="{{ .Lang }}">
<head>
  {{ block "head" . }}{{ partial "head.html" . }}{{ end }}
  {{ block "head-custom" . }}{{ partial "head_custom.html" . }}{{ end }}
  {{ block "head-suffix" . }}
    {{ if (findRE "<pre" .Content 1) }}
    {{ $copyCss := resources.Get "css/copy-code-button.css" | minify }}
    <link href="{{ $copyCss.RelPermalink }}" rel="stylesheet">
    {{ end }}
  {{ end }}
</head>
<body>
  {{ block "header" . }}{{ partial "header.html" . }}{{ end }}
  {{ block "featured_story" . }}{{ partial "featured_story.html" . }}{{ end }}
  {{ block "main_prefix" . }}{{ partial "main_prefix.html" . }}{{ end }}
  {{ block "main" . }}{{ .Content }}{{ end }}
  {{ block "main_suffix" . }}{{ partial "main_suffix.html" . }}{{ end }}
  {{ block "footer-custom" . }}{{- partial "footer_custom.html" . }}{{ end }}
  {{ block "featured_footer" . }}{{ partial "featured_footer.html" . }}{{ end }}
  {{ block "footer" . }}{{ partial "footer.html" . }}{{ end }}
  {{ block "footer-suffix" . }}
    {{ if (findRE "<pre" .Content 1) }}
    {{ $jsCopy := resources.Get "js/copy-code-button.js" | minify }}
    <script src="{{ $jsCopy.RelPermalink }}"></script>
    {{ end }}
  {{ end }}
  {{ block "footer-js" . }}{{ partial "footer_js.html" . }}{{ end }}
</body>
</html>

